tigase.server.xmppserver

## Class ServerConnections

- java.lang.Object
- - tigase.server.xmppserver.ServerConnections

-     public class ServerConnections
      extends Object

  Describe class ServerConnections here. Created: Wed Jun 11 14:26:53 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerConnections.OutgoingState` Enum description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConnections(ConnectionHandlerIfc<XMPPIOService<Object>> handler, CID cid)` Creates a new `ServerConnections` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addControlPacket(Packet packet)` Method description
    `void` | `addDataPacket(Packet packet)` Method description
    `void` | `addOutgoing(XMPPIOService<Object> serv)` Method description
    `CID` | `getCID()` Method description
    `String` | `getDBKey(String sessionId)` Method description
    `int` | `getDBKeysSize()` Method description
    `ServerConnections.OutgoingState` | `getOutgoingState()` Method description
    `Queue<Packet>` | `getWaitingPackets()` Method description
    `void` | `handleDialbackFailure()` Method description
    `boolean` | `handleDialbackSuccess()` Method description
    `boolean` | `isOutgoing(XMPPIOService<Object> serv)` Method description
    `boolean` | `isOutgoingConnected()` Method description
    `boolean` | `needsConnection()` Method description
    `boolean` | `outgoingIsNull()` Method description
    `void` | `putDBKey(String sessionId, String dbKey)` Method description
    `boolean` | `sendAllControlPackets()` Method description
    `boolean` | `sendControlPacket(Packet packet)` Method description
    `boolean` | `sendPacket(Packet packet)` Describe `sendPacket` method here.
    `void` | `serviceStopped(XMPPIOService<Object> serv)` Method description
    `void` | `setConnecting()` Method description
    `void` | `setValid()` Method description
    `void` | `stopAll()` Method description
    `String` | `toString()` Method description
    `long` | `waitingTime()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConnections

          public ServerConnections(ConnectionHandlerIfc<XMPPIOService<Object>> handler,
                           CID cid)

      Creates a new `ServerConnections` instance.
      Parameters:
        `handler` -
        `cid` -

  - ### Method Detail

    - #### addControlPacket

          public void addControlPacket(Packet packet)

      Method description
      Parameters:
        `packet` -

    - #### addDataPacket

          public void addDataPacket(Packet packet)

      Method description
      Parameters:
        `packet` -

    - #### addOutgoing

          public void addOutgoing(XMPPIOService<Object> serv)

      Method description
      Parameters:
        `serv` -

    - #### getCID

          public CID getCID()

      Method description

    - #### getDBKey

          public String getDBKey(String sessionId)

      Method description
      Parameters:
        `sessionId` -

    - #### getDBKeysSize

          public int getDBKeysSize()

      Method description

    - #### getOutgoingState

          public ServerConnections.OutgoingState getOutgoingState()

      Method description

    - #### getWaitingPackets

          public Queue<Packet> getWaitingPackets()

      Method description

    - #### handleDialbackFailure

          public void handleDialbackFailure()

      Method description

    - #### handleDialbackSuccess

          public boolean handleDialbackSuccess()

      Method description

    - #### isOutgoing

          public boolean isOutgoing(XMPPIOService<Object> serv)

      Method description
      Parameters:
        `serv` -

    - #### isOutgoingConnected

          public boolean isOutgoingConnected()

      Method description

    - #### needsConnection

          public boolean needsConnection()

      Method description

    - #### outgoingIsNull

          public boolean outgoingIsNull()

      Method description

    - #### putDBKey

          public void putDBKey(String sessionId,
                      String dbKey)

      Method description
      Parameters:
        `sessionId` -
        `dbKey` -

    - #### sendAllControlPackets

          public boolean sendAllControlPackets()

      Method description

    - #### sendControlPacket

          public boolean sendControlPacket(Packet packet)

      Method description
      Parameters:
        `packet` -

    - #### sendPacket

          public boolean sendPacket(Packet packet)

      Describe `sendPacket` method here.
      Parameters:
        `packet` - a `Packet` value
      Returns:
        a `boolean` value

    - #### serviceStopped

          public void serviceStopped(XMPPIOService<Object> serv)

      Method description
      Parameters:
        `serv` -

    - #### setConnecting

          public void setConnecting()

      Method description

    - #### setValid

          public void setValid()

      Method description

    - #### stopAll

          public void stopAll()

      Method description

    - #### toString

          public String toString()

      Method description
      Overrides:
        `toString` in class `Object`

    - #### waitingTime

          public long waitingTime()

      Method description

Copyright © 2014 "Tigase, Inc.". All rights reserved.